Bug 201699 - NullPointerException at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfiguration.fixupFolderItemLinks
NullPointerException at org.netbeans.modules.cnd.makeproject.api.configuratio...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
7.0
All All
: P2 (vote)
: 7.1
Assigned To: Alexander Simon
issues@cnd
EXCEPTIONS_REPORT, 701patch2-verified...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-06 18:25 UTC by splineshaft
Modified: 2011-09-27 12:06 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.60 KB, text/plain)
2011-09-06 18:25 UTC, splineshaft
Details

Note You need to log in before you can comment on or make changes to this bug.
Description splineshaft 2011-09-06 18:25:38 UTC
Build: NetBeans IDE 7.0.1 (Build 201107282000)
VM: Java HotSpot(TM) Client VM, 21.0-b17, Java(TM) SE Runtime Environment, 1.7.0-b147
OS: Linux

Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfiguration.fixupFolderItemLinks(MakeConfiguration.java:593)
   at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfiguration.fixupFolderItemLinks(MakeConfiguration.java:603)
   at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfiguration.fixupMasterLinks(MakeConfiguration.java:574)
   at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfiguration.copy(MakeConfiguration.java:551)
   at org.netbeans.modules.cnd.debugger.common2.debugger.debugtarget.DebugTarget.cloneRecord(DebugTarget.java:288)
   at org.netbeans.modules.cnd.debugger.common2.debugger.DebuggerSettingsBridge.noteProgLoaded(DebuggerSettingsBridge.java:413)
Comment 1 splineshaft 2011-09-06 18:25:44 UTC
Created attachment 110440 [details]
stacktrace
Comment 2 Alexander Simon 2011-09-08 08:19:06 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/4a6ea35b1896
Comment 3 Quality Engineering 2011-09-09 15:04:03 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/4a6ea35b1896
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #201699 NullPointerException at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfiguration.fixupFolderItemLinks
Comment 4 Vladimir Voskresensky 2011-09-12 14:49:08 UTC
fix is safe and correct
Comment 5 Alexander Simon 2011-09-13 07:00:40 UTC
transplanted in releases_elif branch release701_fixes
4a6ea35b1896 transplanted to 03b66d88d383
Comment 6 Alexander Pepin 2011-09-20 14:39:06 UTC
can not reproduce in OSS build 30
Comment 7 Quality Engineering 2011-09-26 13:31:00 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/03b66d88d383
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #201699 NullPointerException at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfiguration.fixupFolderItemLinks
Comment 8 Alexander Pepin 2011-09-27 12:06:03 UTC
can not reproduce in OSS dev build based on 7.0.1 patch2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo